## luajit 2.0.3-maemo2

=== debian/changelog ===
luajit (2.0.3-maemo2) unstable; urgency=low

  * Fix build for i386.
  * Add thumb options.

 -- Robert Irvin <android_808@hotmail.com>  Sun, 08 Mar 2015 13:10:05 +0000

luajit (2.0.3-maemo1) unstable; urgency=low

  * Initial Maemo 5 release.

 -- Robert Irvin <android_808@hotmail.com>  Mon, 29 Dec 2014 18:43:26 +0000
