=== debian/control ===
Source: luajit
Section: interpreters
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: debhelper (>= 5), quilt (>= 0.45-6osso2)
Standards-Version: 3.9.4
Vcs-Git: git://git.debian.org/git/pkg-lua/luajit.git
Vcs-Browser: http://git.debian.org/?p=pkg-lua/luajit.git
Homepage: http://luajit.org

Package: luajit
Architecture: i386 amd64 kfreebsd-i386 armel armhf powerpc powerpcspe mips mipsel
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, libluajit-5.1-common (= ${source:Version})
Description: Just in time compiler for Lua programming language version 5.1
 LuaJIT implements the full set of language features defined by Lua 5.1. The
 virtual machine (VM) is API- and ABI-compatible to the standard Lua interpreter
 and can be deployed as a drop-in replacement.  
 .
 This package contains the standalone interpreter/jitter that can be used
 as a replacement for the standard lua5.1 interpreter.

Package: libluajit-5.1-common
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Just in time compiler for Lua - common files
 This package contains files needed by the LuaJIT interpreter/jitter as well
 by its embeddable (i.e. library) version.

Package: libluajit-5.1-2
Architecture: i386 amd64 kfreebsd-i386 armel armhf powerpc powerpcspe mips mipsel
Depends: ${shlibs:Depends}, ${misc:Depends}, libluajit-5.1-common (= ${source:Version})
Description: Just in time compiler for Lua - library version
 LuaJIT implements the full set of language features defined by Lua 5.1. The
 virtual machine (VM) is API- and ABI-compatible to the standard Lua interpreter
 and can be deployed as a drop-in replacement.  
 .
 This package contains an embeddable version of LuaJIT that can be used as a
 replacement of the standard liblua-5.1 shared library.

Package: libluajit-5.1-dev
Section: libdevel
Architecture: i386 amd64 kfreebsd-i386 armel armhf powerpc powerpcspe mips mipsel
Depends: ${shlibs:Depends}, ${misc:Depends}, libluajit-5.1-2 (= ${binary:Version})
Description: Just in time compiler for Lua - development files
 This package contains header files and a statically linkable library for
 LuaJIT.
