=== debian/changelog ===
luajit (2.0.4+dfsg-1) unstable; urgency=medium

  * New upstream release (Close: #789321)
  * Build on Hurd (Close: #712975)

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 14 Aug 2015 16:40:52 +0200
