## luajit 2.1.0~beta3%2Bdfsg

=== debian/changelog ===
luajit (2.1.0~beta3+dfsg-6) unstable; urgency=medium

  * Update d/gbp.conf for debian/bullseye
  * Bump debhelper compat level to 10

 -- Ondřej Surý <ondrej@debian.org>  Sat, 06 Mar 2021 15:40:22 +0100

luajit (2.1.0~beta3+dfsg-5.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Tweak previous patch to use lua_assert instead of lj_assert{G,J},
    not yet implemented in 2.1.0~beta3 baseline

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 18 Dec 2020 12:54:55 +0100

luajit (2.1.0~beta3+dfsg-5.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/e9af1abec542e6f9851ff2368e7f196b6382a44c.patch:
    - cherry-pick upstream fix for arm64 issue (Closes: #908137)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 18 Dec 2020 09:49:24 +0100

luajit (2.1.0~beta3+dfsg-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/362.patch:
    - fix from James Cowgill for mips64el miscompilation (Closes: #878817)
  * debian/patches/a057a07ab702e225e21848d4f918886c5b0ac06b.patch
    - align the soft-float patch to make 362 applicable

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 25 Oct 2017 11:24:21 +0200

luajit (2.1.0~beta3+dfsg-5) unstable; urgency=medium

  * Make ccall_copy_struct static to unpollute global library namespace
  * Refresh ppc64 support patch using gbp pq
  * Pull upstream PR to fix register allocation bug in arm64

 -- Ondřej Surý <ondrej@debian.org>  Wed, 11 Oct 2017 08:48:09 +0000

luajit (2.1.0~beta3+dfsg-4) unstable; urgency=medium

  * Use a positive list of Architecture(s) in d/control (Closes: #875976)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 10 Oct 2017 16:57:06 +0000

luajit (2.1.0~beta3+dfsg-3) unstable; urgency=medium

  * Explicitly disable unsupported architectures and sync the list between
    luajit and libluajit* (Closes: #875976)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 10 Oct 2017 10:17:52 +0000

luajit (2.1.0~beta3+dfsg-2) unstable; urgency=low

  [ Enrico Tassi ]
  * Switch ppc64 support to PR#140

 -- Ondřej Surý <ondrej@debian.org>  Fri, 25 Aug 2017 11:19:06 +0200

luajit (2.1.0~beta3+dfsg-1) unstable; urgency=low

  * Upload to unstable
  * Make the d/gbp.conf track the master/upstream for 2.1.x again

 -- Ondřej Surý <ondrej@debian.org>  Fri, 25 Aug 2017 10:44:50 +0200

luajit (2.1.0~beta3-1) experimental; urgency=medium

  * libluajit-5.1-common is arch:all (binNMUability)
  * Bump standards version (no change)
  * Use better Vcs-Browser URL
  * Update symbols file for 2.1.0~beta3+dfsg release
  * Update patches for 2.1.0~beta3+dfsg release
  * New upstream version 2.1.0~beta3+dfsg

 -- Ondřej Surý <ondrej@debian.org>  Mon, 08 May 2017 14:32:33 +0200

luajit (2.1.0~beta2+dfsg-3) experimental; urgency=medium

  * Add ppc64el to Architecture: field in the packages, so ppc64el
    actually builds.w

 -- Ondřej Surý <ondrej@debian.org>  Thu, 14 Apr 2016 00:11:08 +0200

luajit (2.1.0~beta2+dfsg-2) experimental; urgency=medium

  * Add ppc64 support based on https://github.com/PPC64/LuaJIT.git
  * Bump standards version to 3.9.7 (no change)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 13 Apr 2016 23:20:00 +0200

luajit (2.1.0~beta2+dfsg-1) experimental; urgency=medium

  * Imported Upstream version 2.1.0~beta2+dfsg
  * Use DFSG sources again by removing doc/*
  * Remove unsupported release architectures: ppc64el and s390x

 -- Ondřej Surý <ondrej@debian.org>  Sun, 06 Mar 2016 13:22:54 +0100

luajit (2.1.0~beta2-1) experimental; urgency=medium

  * Imported Upstream version 2.1.0~beta2
  * Rebase patches on top of 2.1.0~beta2

 -- Ondřej Surý <ondrej@debian.org>  Thu, 03 Mar 2016 21:47:46 +0100

luajit (2.1.0~beta1+dfsg-2) experimental; urgency=medium

  * Get rid of the versioned part of LUAJIT_VERSION_SYM patch
  * Revert "Add a package with debugging symbols", as dbgsym packages are
    now generated automatically (and we don't care about cruft in
    experimental)
  * Revert "Link luajit dynamically with libluajit-5.1-2" as the cost is
    too high

 -- Ondřej Surý <ondrej@debian.org>  Thu, 28 Jan 2016 10:48:10 +0100

luajit (2.1.0~beta1+dfsg-1) experimental; urgency=medium

  * Imported Upstream version 2.1.0~beta1+dfsg (Closes: #791973)
  * Rebase patches on top of 2.1.0~beta1+dfsg
  * Add symbols file for libluajit-5.1-2 and check for symbols changes in
    the library
  * Use repack.stub from pkg-perl-tools to do the dfsg version mangling
  * Add a patch that removes the version symbol from the symbol table, we
    enforce the library matching inside the packaging
  * Add some close coupling between luajit, libluajit-5.1-2 and
    libluajit-5.2-dev
  * Bump the dh compat to 9 to enable hardening build
  * Enable debugging symbols and create the -dbg package with debugging
    symbols (Closes: #805384)
  * Enable all architectures (Closes: #744948, #712975)
  * Rename the luajit-<version> binary just to luajit (Closes: #619981)
  * Link luajit dynamically with libluajit-5.1-2 (Closes: #781729)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 19 Nov 2015 16:59:55 +0200
