## luajit 2.1.0~beta3%2Bgit20210112%2Bdfsg

=== debian/changelog ===
luajit (2.1.0~beta3+git20210112+dfsg-0) UNRELEASED; urgency=medium

  * Non-maintainer upload, get rid of all changes in experimental
  * fixed hardcoded flags in makefiles
  * Fix ftbfs on powerpc and ppc64.
  * Fix a typo for ppc: Closes #933752
    https://github.com/moonjit/moonjit/commit/1b12bef3aa18701ceadbadad45fca993788979c5
  * Update to current git master version.
  * MIPS: enable all architectures: r6 is now supported
  * Remove patches has been included in upstream:
    - 0005-Make-ccall_copy_struct-static-to-unpollute-global-li.patch
    - 362.patch
    - a057a07ab702e225e21848d4f918886c5b0ac06b.patch
    - e9af1abec542e6f9851ff2368e7f196b6382a44c.patch
  * Remove 0006-Fix-register-allocation-bug-in-arm64.patch: seems not needed
    now.

 -- remoto <remoto@localhost.localdomain>  Mon, 06 Dec 2021 13:05:49 -0400
