=== debian/changelog ===
luajit (2.1.0~beta3+dfsg-6.lnd.6) unstable; urgency=medium

  * Fix hidden bugs and merge offical branch v2.1

 -- zhaoxiaolin <zhaoxiaolin@loongson.cn>  Mon, 11 Jul 2022 11:05:00 +0800

luajit (2.1.0~beta3+dfsg-6.lnd.5) unstable; urgency=medium

  * Solve the remaining problems:
    1. problems caused by gcc -O2 optimization
    2. unstable error
    3. problems caused by eh_frame section
    4. register allocation
    5. fix ffi calling conventions

 -- zhaoxiaolin <zhaoxiaolin@loongson.cn>  Thu, 19 May 2022 19:25:03 +0800

luajit (2.1.0~beta3+dfsg-6.lnd.3) unstable; urgency=medium

  * Refactor code

 -- zhaoxiaolin <zhaoxiaolin@loongson.cn>  Wed, 27 Apr 2022 17:29:07 +0800

luajit (2.1.0~beta3+dfsg-6.lnd.2) unstable; urgency=medium

  * Merge offical branch v2.1:
    - commit id f3c856915b4ce7ccd24341e8ac73e8a9fd934171

 -- zhaoxiaolin <zhaoxiaolin@loongson.cn>  Tue, 25 Jan 2022 15:46:35 +0800

luajit (2.1.0~beta3+dfsg-6.lnd.1) unstable; urgency=medium

  * Add loongarch64 support based on offical branch v2.1:
    - commit id 75ee3a6159f1831fa57992df3caf5a2c303c281a

 -- zhaoxiaolin <zhaoxiaolin@loongson.cn>  Thu, 9 Dec 2021 09:54:02 +0800
