=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Enrico Tassi <gareuselesinge@debian.org>
 Uploaders: Ondřej Surý <ondrej@debian.org>
-Build-Depends: debhelper, gcc, make, lsb-release
-Standards-Version: 4.5.1.0
-Vcs-Git: https://salsa.debian.org/lua-team/luajit.git
-Vcs-Browser: https://salsa.debian.org/lua-team/luajit.git
+Build-Depends: debhelper (>= 9~)
+Standards-Version: 3.9.8
+Vcs-Git: git://anonscm.debian.org/pkg-lua/luajit.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lua/luajit.git
 Homepage: http://luajit.org
 
 Package: luajit
-Architecture: any-i386 any-amd64 arm64 armel armhf mips mipsel mipsn32 mipsn32el mips64 mips64el mipsr6 mipsr6el mipsn32r6 mipsn32r6el mips64r6 mips64r6el ppc64el powerpc ppc64
+Architecture: any-i386 any-amd64 arm64 armel armhf mips mips64el mipsel ppc64el powerpc ppc64 loongarch64
 Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libluajit-5.1-2 (= ${binary:Version}),
@@ -35,7 +35,7 @@
  by its embeddable (i.e. library) version.
 
 Package: libluajit-5.1-2
-Architecture: any-i386 any-amd64 arm64 armel armhf mips mipsel mipsn32 mipsn32el mips64 mips64el mipsr6 mipsr6el mipsn32r6 mipsn32r6el mips64r6 mips64r6el ppc64el powerpc ppc64
+Architecture: any-i386 any-amd64 arm64 armel armhf mips mips64el mipsel ppc64el powerpc ppc64 loongarch64
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libluajit-5.1-common (= ${source:Version}),
@@ -53,7 +53,7 @@
 Section: libdevel
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Architecture: any-i386 any-amd64 arm64 armel armhf mips mipsel mipsn32 mipsn32el mips64 mips64el mipsr6 mipsr6el mipsn32r6 mipsn32r6el mips64r6 mips64r6el ppc64el powerpc ppc64
+Architecture: any-i386 any-amd64 arm64 armel armhf mips mips64el mipsel ppc64el powerpc ppc64 loongarch64
 Depends: libluajit-5.1-2 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
